function [BRL1H]=L1H(U)

pS=U(1,1); 
qS=U(1,2);

% % BEST RESPONSE ACTION FOR L1H:
% % -----------------------------

%L1 Hider best responds to a L0 Seeker. Calculate the Best Response (BR) 
%actions for L1Hider. 

%Calculate the Payoffs
PayoffsL1H=[(1-(pS/2)) (1-qS) (pS+qS) (1-(pS/2))];

%Get the highest payoff
maxL1H=max(PayoffsL1H);

%Identify which action gives the highest payoff
for i=1:4
    if maxL1H==PayoffsL1H(1,i);
        BRL1H(1,i)=1;
    else;
        BRL1H(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL1H>1 there
%are ties. If ties, L1Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL1H=sum(BRL1H);
BRL1H=(1/NumberBRL1H)*BRL1H;