function [BRL1S]=L1S(U);

pH=U(1,1); 
qH=U(1,2);

% % BEST RESPONSE ACTION FOR L1S:
% % -----------------------------

%L1 Seeker best responds to a L0 Hider. Calculate the Best Response (BR) 
%actions for L1Seeker. 

%Calculate the Payoffs
PayoffsL1S=[(pH/2) (qH) (1-pH-qH) (pH/2)];

%Get the highest payoff
maxL1S=max(PayoffsL1S);

%Identify which action give the highest payoff
for i=1:4;
    if maxL1S==PayoffsL1S(1,i);
        BRL1S(1,i)=1;
    else;
        BRL1S(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL1S>1 there
%are ties. If ties, L1Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL1S=sum(BRL1S);
BRL1S=(1/NumberBRL1S)*BRL1S;
