function [BRL2H]=L2H(U);

pH=U(1,1);
qH=U(1,2);

% % BEST RESPONSE ACTION FOR L2H:
% % -----------------------------

%L2 Hider best responds to a L1 Seeker. Calculate the Best Response (BR) 
%actions for L2Hider. 

%First, calculate BR for a L1Seeker:
BRL1S=L1S([pH qH]);

%Second, calculate BR for a L2Hider:
PayoffsL2H=[(1-BRL1S(1,1)) (1-BRL1S(1,2)) (1-BRL1S(1,3)) (1-BRL1S(1,4))];

%Get the highest payoff
maxL2H=max(PayoffsL2H);

%Identify which action give the highest payoff
for i=1:4;
    if maxL2H==PayoffsL2H(1,i);
        BRL2H(1,i)=1;
    else;
        BRL2H(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL2H>1 there
%are ties. If ties, L2Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL2H=sum(BRL2H);
BRL2H=(1/NumberBRL2H)*BRL2H;
