function [BRL2S]=L2S(U);

pS=U(1,1);
qS=U(1,2);

% % BEST RESPONSE ACTION FOR L2S:
% % -----------------------------

%L2 Seeker best responds to a L1 Hider. Calculate the Best Response (BR) 
%actions for L2 Seeker. 

%First, calculate BR for a L1Hider:
BRL1H=L1H([pS qS]);

%Second, calculate BR for a L2Seeker:
PayoffsL2S=[(BRL1H(1,1)) (BRL1H(1,2)) (BRL1H(1,3)) (BRL1H(1,4))];

%Get the highest payoff
maxL2S=max(PayoffsL2S);

%Identify which action give the highest payoff
for i=1:4;
    if maxL2S==PayoffsL2S(1,i);
        BRL2S(1,i)=1;
    else;
        BRL2S(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL2S>1 there
%are ties. If ties, L2Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL2S=sum(BRL2S);
BRL2S=(1/NumberBRL2S)*BRL2S;
