function [BRL3H]=L3H(U);

pS=U(1,1);
qS=U(1,2);

% % BEST RESPONSE ACTION FOR L2H:
% % -----------------------------

%L3 Hider best responds to a L2 Seeker. Calculate the Best Response (BR) 
%actions for L3Hider.

%First, calculate BR for a L2Seeker:
BRL2S=L2S([pS qS]);

%Second, calculate BR for a L3Hider:
PayoffsL3H=[(1-BRL2S(1,1)) (1-BRL2S(1,2)) (1-BRL2S(1,3)) (1-BRL2S(1,4))];

%Get the highest payoff
maxL3H=max(PayoffsL3H);

%Identify which action give the highest payoff
for i=1:4;
    if maxL3H==PayoffsL3H(1,i);
        BRL3H(1,i)=1;
    else;
        BRL3H(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL2H>1 there
%are ties. If ties, L2Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL3H=sum(BRL3H);
BRL3H=(1/NumberBRL3H)*BRL3H;
