function [BRL3S]=L3S(U);

pH=U(1,1);
qH=U(1,2);

% % BEST RESPONSE ACTION FOR L3S:
% % -----------------------------

%L3 Seeker best responds to a L2 Hider. Calculate the Best Response (BR) 
%actions for L3 Seeker. 

%First, calculate BR for a L1Hider:
BRL2H=L2H([pH qH]);

%Second, calculate BR for a L2Seeker:
PayoffsL3S=[(BRL2H(1,1)) (BRL2H(1,2)) (BRL2H(1,3)) (BRL2H(1,4))];

%Get the highest payoff
maxL3S=max(PayoffsL3S);

%Identify which action give the highest payoff
for i=1:4;
    if maxL3S==PayoffsL3S(1,i);
        BRL3S(1,i)=1;
    else;
        BRL3S(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL2S>1 there
%are ties. If ties, L2Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL3S=sum(BRL3S);
BRL3S=(1/NumberBRL3S)*BRL3S;
