function [BRL4H]=L4H(U);

pH=U(1,1);
qH=U(1,2);

% % BEST RESPONSE ACTION FOR L2H:
% % -----------------------------

%L4 Hider best responds to a L3 Seeker. Calculate the Best Response (BR) 
%actions for L4Hider.

%First, calculate BR for a L3Seeker:
BRL3S=L3S([pH qH]);

%Second, calculate BR for a L4Hider:
PayoffsL4H=[(1-BRL3S(1,1)) (1-BRL3S(1,2)) (1-BRL3S(1,3)) (1-BRL3S(1,4))];

%Get the highest payoff
maxL4H=max(PayoffsL4H);

%Identify which action give the highest payoff
for i=1:4;
    if maxL4H==PayoffsL4H(1,i);
        BRL4H(1,i)=1;
    else;
        BRL4H(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL2H>1 there
%are ties. If ties, L2Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL4H=sum(BRL4H);
BRL4H=(1/NumberBRL4H)*BRL4H;
