function [BRL4S]=L4S(U);

pS=U(1,1);
qS=U(1,2);

% % BEST RESPONSE ACTION FOR L3S:
% % -----------------------------

%L4 Seeker best responds to a L3 Hider. Calculate the Best Response (BR) 
%actions for L4Seeker. 

%First, calculate BR for a L3Hider:
BRL3H=L3H([pS qS]);

%Second, calculate BR for a L2Seeker:
PayoffsL4S=[(BRL3H(1,1)) (BRL3H(1,2)) (BRL3H(1,3)) (BRL3H(1,4))];

%Get the highest payoff
maxL4S=max(PayoffsL4S);

%Identify which action give the highest payoff
for i=1:4;
    if maxL4S==PayoffsL4S(1,i);
        BRL4S(1,i)=1;
    else;
        BRL4S(1,i)=0;
    end;
end;

%Check for possible ties among best response actions, if NumberBRL2S>1 there
%are ties. If ties, L2Hider is indifferent among the optimum actions and
%therefore choose them with equal probabilities.
NumberBRL4S=sum(BRL4S);
BRL4S=(1/NumberBRL4S)*BRL4S;
