function [LL]=LOGLIKEHS(U);


% % LEVEL-K MODELS: (L0+L1+L2+L3+L4 plus error)
% % ---------------
% % When asymmetric L0
% % ------------------
% pH=U(1,1);
% qH=U(2,1);
% pS=U(3,1);
% qS=U(4,1);
% r=U(5,1);
% s=U(6,1);
% t=U(7,1);
% u=U(8,1);
% e=U(9,1);

% %When symmetric L0
% %-----------------
% p=U(1,1);
% q=U(2,1);
% r=U(3,1);
% s=U(4,1);
% t=U(5,1);
% u=U(6,1);
% e=U(7,1);

% % EQUILIBRIUM AND QUANTAL RESPONSE EQUILIBRIUM MODELS: (Perturbations and lambda)
% % ----------------------------------------------------
% %When equilibrium with perturbations:
% %------------------------------------
eH=U(1,1);
fH=U(2,1);
eS=U(3,1);
fS=U(4,1);

% % DATA: X=[x1 x2 x3 x4];
% % ----------------------

% %Original Data: Z|year|treatment(mine/trea)|order|playerrole

Z93treaAABAH=[41 66 35 47];
sum(Z93treaAABAH);
Z93treaAABAS=[11 43 18 13];
sum(Z93treaAABAS);
Z93mineAABAH=[32 52 24 24];
sum(Z93mineAABAH);
Z93mineAABAS=[21 26 10 16];
sum(Z93mineAABAS);
Z93trea1234H=[46 41 67 33];
sum(Z93trea1234H);
Z93trea1234S=[17 15 40 12];
sum(Z93trea1234S);
Z93mine1234H=[24 27 59 23];
sum(Z93mine1234H);
Z93mine1234S=[14 18 26 14];
sum(Z93mine1234S);
Z96ABAAH=[5 19 21 8];
sum(Z96ABAAH);
Z96ABAAS=[8 19 28 7];
sum(Z96ABAAS);
Z9899ABAAH=[8 9 22 11];
sum(Z9899ABAAH);
Z9899ABAAS=[10 12 35 7];
sum(Z9899ABAAS);

% %Transform Z to X to ABAA (93trea,93mine AABA)and interchange roles (mine)
% %Disaggregated data for the overfitting test

X93treaAABAH=[41 35 66 47];
sum(X93treaAABAH);
X93treaAABAH/sum(X93treaAABAH);
%NH=X93treaAABAH;

X93treaAABAS=[11 18 43 13];
sum(X93treaAABAS);
X93treaAABAS/sum(X93treaAABAS);
%NS=X93treaAABAS;

X93mineAABAS=[21 10 26 16];
sum(X93mineAABAS);
X93mineAABAS/sum(X93mineAABAS);
%NH=X93mineAABAS;

X93mineAABAH=[32 24 52 24];
sum(X93mineAABAH);
X93mineAABAH/sum(X93mineAABAH);
%NS=X93mineAABAH;

X93trea1234H=[46 41 67 33];
sum(X93trea1234H);
X93trea1234H/sum(X93trea1234H);
%NH=X93trea1234H;

X93trea1234S=[17 15 40 12];
sum(X93trea1234S);
X93trea1234S/sum(X93trea1234S);
%NS=X93trea1234S;

X93mine1234S=[14 18 26 14];
sum(X93mine1234S);
X93mine1234S/sum(X93mine1234S);
%NH=X93mine1234S;

X93mine1234H=[24 27 59 23];
sum(X93mine1234H);
X93mine1234H/sum(X93mine1234H);
%NS=X93mine1234H;

X96ABAAH=[5 19 21 8];
sum(X96ABAAH);
X96ABAAH/sum(X96ABAAH);
%NH=X96ABAAH;

X96ABAAS=[8 19 28 7];
sum(X96ABAAS);
X96ABAAS/sum(X96ABAAS);
%NS=X96ABAAS;

X9899ABAAH=[8 9 22 11];
sum(X9899ABAAH);
X9899ABAAH/sum(X9899ABAAH);
%NH=X9899ABAAH;

X9899ABAAS=[10 12 35 7];
sum(X9899ABAAS);
X9899ABAAS/sum(X9899ABAAS);
%NS=X9899ABAAS;

% %Aggregate data, NH and NS

N93H=X93treaAABAH+X93mineAABAS+X93trea1234H+X93mine1234S;

Nu93H=sum(N93H);
X93H=N93H/Nu93H;

N93S=X93treaAABAS+X93mineAABAH+X93trea1234S+X93mine1234H;
Nu93S=sum(N93S);
X93S=N93S/Nu93S;

N96H=X96ABAAH;
Nu96H=sum(N96H);
X96H=N96H/Nu96H;

N96S=X96ABAAS;
Nu96S=sum(N96S);
X96S=N96S/Nu96S;

N9899H=X9899ABAAH;
Nu9899H=sum(N9899H);
X9899H=N9899H/Nu9899H;

N9899S=X9899ABAAS;
Nu9899S=sum(N9899S);
X9899H=N9899S/Nu9899S;

NH=N93H+N96H+N9899H;
NuH=sum(NH);
XH=NH/NuH;

NS=N93S+N96S+N9899S;
NuS=sum(NS);
XS=NS/NuS;

N=NH+NS;
Nu=sum(N);
X=N/Nu;

% % RECALL DECISIONS FOR L0, L1, L2, L3, L4 FOR BOTH ROLES:
% % -------------------------------------------------------
% %When asymmetric L0
% %------------------
% LL0H=L0H([pH qH]);
% LL0S=L0S([pS qS]);
% LL1H=L1H([pS qS]);
% LL1S=L1S([pH qH]);
% LL2H=L2H([pH qH]);
% LL2S=L2S([pS qS]);
% LL3H=L3H([pS qS]);
% LL3S=L3S([pH qH]);
% LL4H=L4H([pH qH]);
% LL4S=L4S([pS qS]);

% %When symmetric L0
% %-----------------
% LL0H=L0H([p q]);
% LL0S=L0S([p q]);
% LL1H=L1H([p q]);
% LL1S=L1S([p q]);
% LL2H=L2H([p q]);
% LL2S=L2S([p q]);
% LL3H=L3H([p q]);
% LL3S=L3S([p q]);
% LL4H=L4H([p q]);
% LL4S=L4S([p q]);

% %DEFINING LOG LIKELIHOOD FUNCTIONS:
% %----------------------------------

% %LOG LIKELIHOOD FUNCTION FOR LEVEL-K
% %-----------------------------------
LIKEERRORH=NH(1,1)*log([r*LL0H(1,1)+s*((1-e)*LL1H(1,1)+e/4)+t*((1-e)*LL2H(1,1)+e/4)+u*((1-e)*LL3H(1,1)+e/4)+(1-r-s-t-u)*((1-e)*LL4H(1,1)+e/4)])+...
   NH(1,2)*log([r*LL0H(1,2)+s*((1-e)*LL1H(1,2)+e/4)+t*((1-e)*LL2H(1,2)+e/4)+u*((1-e)*LL3H(1,2)+e/4)+(1-r-s-t-u)*((1-e)*LL4H(1,2)+e/4)])+...
   NH(1,3)*log([r*LL0H(1,3)+s*((1-e)*LL1H(1,3)+e/4)+t*((1-e)*LL2H(1,3)+e/4)+u*((1-e)*LL3H(1,3)+e/4)+(1-r-s-t-u)*((1-e)*LL4H(1,3)+e/4)])+...
   NH(1,4)*log([r*LL0H(1,4)+s*((1-e)*LL1H(1,4)+e/4)+t*((1-e)*LL2H(1,4)+e/4)+u*((1-e)*LL3H(1,4)+e/4)+(1-r-s-t-u)*((1-e)*LL4H(1,4)+e/4)]);

LIKEERRORS=NS(1,1)*log([r*LL0S(1,1)+s*((1-e)*LL1S(1,1)+e/4)+t*((1-e)*LL2S(1,1)+e/4)+u*((1-e)*LL3S(1,1)+e/4)+(1-r-s-t-u)*((1-e)*LL4S(1,1)+e/4)])+...
   NS(1,2)*log([r*LL0S(1,2)+s*((1-e)*LL1S(1,2)+e/4)+t*((1-e)*LL2S(1,2)+e/4)+u*((1-e)*LL3S(1,2)+e/4)+(1-r-s-t-u)*((1-e)*LL4S(1,2)+e/4)])+...
   NS(1,3)*log([r*LL0S(1,3)+s*((1-e)*LL1S(1,3)+e/4)+t*((1-e)*LL2S(1,3)+e/4)+u*((1-e)*LL3S(1,3)+e/4)+(1-r-s-t-u)*((1-e)*LL4S(1,3)+e/4)])+...
   NS(1,4)*log([r*LL0S(1,4)+s*((1-e)*LL1S(1,4)+e/4)+t*((1-e)*LL2S(1,4)+e/4)+u*((1-e)*LL3S(1,4)+e/4)+(1-r-s-t-u)*((1-e)*LL4S(1,4)+e/4)]);

LL=-(LIKEERRORH+LIKEERRORS);


% % LOG LIKELIHOOD FUNCTION FOR EQUILIBRIUM WITH PERTURBATIONS 
% %-----------------------------------------------------------

% LOGLIKEEQPERTH=NH(1,1)*log(1/4-eS/2+fS/4)+NH(1,2)*log(1/4+eS/2-3*fS/4)...
%             +NH(1,3)*log(1/4+eS/2+fS/4)+NH(1,4)*log(1/4-eS/2+fS/4);
% 
% LOGLIKEEQPERTS=NS(1,1)*log(1/4-eH/2+fH/4)+NS(1,2)*log(1/4+eH/2-3*fH/4)...
%             +NS(1,3)*log(1/4+eH/2+fH/4)+NS(1,4)*log(1/4-eH/2+fH/4);
% 
% LL=-(LOGLIKEEQPERTH+LOGLIKEEQPERTS);